Skip to content

Search Colourbox downloads

GET
/search/colourbox/download
curl --request GET \
--url 'https://api.colourbox.com/search/colourbox/download?media_count=500&media_offset=0&media_type=image%2Bvideo&orientation=horizontal&thumbnail_size=110px&order=relevance&direction=asc&resolution=a3&query_type=strict_and_search&exclude_expired_media=false&lang=en' \
--header 'Authorization: CBX-SIMPLE-TOKEN Token=<token>'

It is not possible to get your own media as part of the result on this search endpoint. Please refer to GET: /search for details on how to search in your own material.

You need to have access to your Colourbox downloads in order to use this endpoint. Please see Colourbox Downloads.

q
string

The query string that you want to search for, e.g. “cat”. See Search Algorithm for details on which fields are matched.

return_values
string

Specifies which values you want back. The list should be a string with + as separator, e.g. unique_media_id+keywords. See Return Values for a complete list.

media_count
integer
default: 500 >= 1

Limits the number of results. Assumed default if omitted.

media_offset
integer
0

How many rows should be skipped from the start of the result. Mainly used for pagination.

media_type
string

Example

image+video

Specifies the type of media you are searching for, and the value must be one of the following: “image”, “vector”, “video” and “generic”. If not set, we include media from all types. You can specify multiple by separating them with a “+”.

unique_media_id
string

Limits the search to only being done on the given unique medias. Multiple unique media IDs should be concatenated with “+”

date_filter_field
string

If you want to filter by dates, you specify either created or camera_created. Created is the point in time when we got a hold of the image. Camera created is the point in time when the picture was taken, given the camera wrote the camera created exif tag.

min_date
string

Specifies the min. date for the date filter field. 2016-03-14T12:23:51Z. This is greater than or equal.

max_date
string

Specifies the max date for the date filter field. This is less than or equal.

orientation
string
Allowed values: horizontal vertical

Limits search to media of specified orientation

thumbnail_size
string
default: 320px
Allowed values: 110px 200px 320px 480px 800px 1200px 1600px

Returned thumbnail URLs in the selected size, if thumbnail_url or thumbnail_url_ssl is given in return_values.

order
string
Allowed values: relevance created

Order the search result. Created is the time the media was imported into the Colourbox system.

direction
string
Allowed values: asc desc

Specify the direction of the ordering. Note that this option can only be given if order is given as well.

resolution
string
Allowed values: a3 a4

This will restrict the search result to images which has resolution at least a4 or a3.

min_width
integer

Specifies the minimum width.

min_height
integer

Specifies the minimum height.

query_type
string
Allowed values: strict_and_search wildcards

Specifies the query type.

  • strict_and_search - Search result which only matches whole words
  • wildcards - Result which bends over backwards to provide as many results as possible
exclude_expired_media
boolean

Specifies if expired media should be excluded from the search

min_expiration_date
string

yyyy-mm-dd, Specifies to only include media with expiration date grater or equal to the date specified.

max_expiration_date
string

yyyy-mm-dd Specifies to only include media with expiration date less or equal to the date specified.

lang
string
default: en
Allowed values: en da de

Specifies a search language.

Response similar to /search

Media typeapplication/json
object
response
object
hits
integer
media
Array<object>
object

Example generated

{
"response": {
"hits": 1,
"media": [
{}
]
}
}